fstack protector patch issue resolved (?)

Jason Stevens jastev at alumni.rice.edu
Fri Dec 30 12:23:42 PST 2005


OK, so after digging into the patch file and reading some man pages, I 
think I figured it out.  It looks to me like glibc-libidn is supposed to 
be untarred into $HLFS/sources/glibc-2.3.6*, rather than into 
$HLFS/sources directly.  Perhaps this is obvious to others; never having 
compiled it before, it was not clear to me (the instructions in 6.11 
start having assumed that this is done, and the general instructions at 
the head of chapter 6 say to untar into sources...)  Anyway, after 
moving sources/libidn into sources/glibc-2.3.6, the patch applied 
successfully.

New, but related question:  I did the same thing, back when I 
constructed the toolchain (chapter 5.6).  At the time, I got no errors, 
but apparently libidn wasn't in the right place then, either.  Is my 
toolchain corrupt?  Do I need to start over?

-jps



More information about the hlfs-dev mailing list